<?php

namespace Planaday\Utility\FormBuilder\SubmitStrategies\RestResponses;

class Message implements RestResponse{
	public string $message = '';
	public ResponseStatus $status = ResponseStatus::Success;
	public array $errors = [];

	public function setMessage( string $message ): self {
		$this->message = $message;
		return $this;
	}

	public function setStatus( ResponseStatus $status ): self {
		$this->status = $status;
		return $this;
	}

	public function setErrors( array $errors ): self {
		$this->errors = $errors;
		return $this;
	}
}